Debian Bug report logs - #690683
lgeneral: Unusable due to missing game data converter and outdated

version graph

Package: lgeneral; Maintainer for lgeneral is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for lgeneral is src:lgeneral.

Reported by: Markus Koschany <apo@gambaru.de>

Date: Tue, 16 Oct 2012 13:09:01 UTC

Severity: grave

Tags: patch

Found in version lgeneral/1.1.1-5

Fixed in version lgeneral/1.2.3+dfsg-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#690683; Package lgeneral. (Tue, 16 Oct 2012 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 16 Oct 2012 13:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lgeneral: Unusable due to missing game data converter and outdated
Date: Tue, 16 Oct 2012 15:06:30 +0200
[Message part 1 (text/plain, inline)]
Package: lgeneral
Version: 1.1.1-5
Severity: grave
Justification: renders package unusable

Hi,

In its current state LGeneral is unusable for almost all users. 

 * The version shipped with Debian was released in 2004 and is
   completely outdated despite the fact that upstream is active and
   released version 1.2.3 in April 2012.
 * The converter lgc-pg, which is needed to convert game data of
   Panzer General was removed in 2011. [1]
   This means there is no available game data for LGeneral in Testing
   at the moment.

I intend to adopt LGeneral on behalf of the Debian Games
Team [2] and would like to reintroduce lgc-pg in combination with the
game-data-packager. I'm working on a new version of LGeneral 1.2.3 at
the moment.

If the new version cannot migrate to Testing, then LGeneral should be
removed from Wheezy. 

I have also introduced the issue on the debian-devel-games
mailinglist. [3]

Regards,

Markus Koschany


[1] http://bugs.debian.org/465943
[2] http://bugs.debian.org/465942
[3] https://lists.debian.org/debian-devel-games/2012/10/msg00035.html


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lgeneral depends on:
ii  libc6            2.13-35
ii  libsdl-mixer1.2  1.2.12-3
ii  libsdl1.2debian  1.2.15-5

lgeneral recommends no packages.

Versions of packages lgeneral suggests:
pn  lgc-pg  <none>

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#690683; Package lgeneral. (Fri, 26 Oct 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 26 Oct 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 690683@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 690683@bugs.debian.org
Cc: control@bugs.debian.org
Subject: lgeneral: Unusable due to missing game data converter and outdated
Date: Fri, 26 Oct 2012 15:11:44 +0200
[Message part 1 (text/plain, inline)]
tags 690683 patch
thanks

My new package is available at mentors.debian.net

http://mentors.debian.net/package/lgeneral

and in Git at

http://git.debian.org/pkg-games/lgeneral.git

I know new upstream releases are discouraged during the freeze but given
the nature of this bug, it is the only reasonable solution. 

[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Fri, 26 Oct 2012 13:15:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 17 Jan 2013 07:09:07 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 15 Feb 2013 21:03:45 GMT) Full text and rfc822 format available.

Notification sent to Markus Koschany <apo@gambaru.de>:
Bug acknowledged by developer. (Fri, 15 Feb 2013 21:03:46 GMT) Full text and rfc822 format available.

Message #19 received at 690683-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 690683-close@bugs.debian.org
Subject: Bug#690683: fixed in lgeneral 1.2.3+dfsg-1
Date: Fri, 15 Feb 2013 21:00:42 +0000
Source: lgeneral
Source-Version: 1.2.3+dfsg-1

We believe that the bug you reported is fixed in the latest version of
lgeneral, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690683@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated lgeneral package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 25 Oct 2012 17:56:28 +0200
Source: lgeneral
Binary: lgeneral lgc-pg
Architecture: source amd64
Version: 1.2.3+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 lgc-pg     - LGeneral converter for Panzer General game data
 lgeneral   - strategy game in the tradition of Panzer General
Closes: 465942 690683 691451
Changes: 
 lgeneral (1.2.3+dfsg-1) unstable; urgency=low
 .
   * New Maintainer. (Closes: #465942)
   * New upstream release.
   * Reintroduction of lgc-pg which is now part of the sources.
   * Depend on game-data-packager and lgc-pg to provide game data
     for users who own a copy of Panzer General. For more information please
     refer to README.Debian. (Closes: #690683)
   * Switch to package format 3.0 (quilt).
   * Build with hardening=+all.
   * Set compat level to 9 and debhelper build-dep to >=9 for automatic
     hardening build flags.
   * Bump Standards-Version to 3.9.4.
   * Fix FTBFS because of Hardening Werror=format-security error.
   * Remove and replace non-free files and make LGeneral comply to the DFSG.
     (Closes: #691451)
   * Improve and update LGeneral's manpages.
   * Update debian/copyright to copyright format 1.0.
   * Add icon to Debian menu.
Checksums-Sha1: 
 14a197dc14120345e54085aff8b00bd0fb253bca 2052 lgeneral_1.2.3+dfsg-1.dsc
 ebeacfff07ddb7160df391c1dcaed872a3be345b 1594154 lgeneral_1.2.3+dfsg.orig.tar.gz
 79f2e2667884f7928bd9c04ef2d935ca1cf5deca 17778 lgeneral_1.2.3+dfsg-1.debian.tar.gz
 6aae2fdf538034f05794ab02469762534fff4879 623232 lgeneral_1.2.3+dfsg-1_amd64.deb
 5218b94f83a633431bee4640dfc77b7eebfb90fd 432626 lgc-pg_1.2.3+dfsg-1_amd64.deb
Checksums-Sha256: 
 2127de8c63473ac97a016e31208e100414ac567af7172d205040ad5361fba818 2052 lgeneral_1.2.3+dfsg-1.dsc
 d64068b0bc9d70a5d7505742f9ee0a1d7ca59b2a01406d5471e8ae47310313c2 1594154 lgeneral_1.2.3+dfsg.orig.tar.gz
 0db050e05c1c6db407ca0a2ecb9e517522cf5d1ff08d3c1996027a2541442ada 17778 lgeneral_1.2.3+dfsg-1.debian.tar.gz
 8d725a44915b991f4469888838c09f98f11f9f76264cbe882f917de879a34b28 623232 lgeneral_1.2.3+dfsg-1_amd64.deb
 d434d628f018e611ee9adf14706ec2e771068f9ec489d45304620b3de6a0062e 432626 lgc-pg_1.2.3+dfsg-1_amd64.deb
Files: 
 f0d42924ea79902e7bf1611687c476d4 2052 contrib/games optional lgeneral_1.2.3+dfsg-1.dsc
 d16a0d2e02941d0f640c1931ec5df06d 1594154 contrib/games optional lgeneral_1.2.3+dfsg.orig.tar.gz
 7fcf616bf75378db14a375627911b8cf 17778 contrib/games optional lgeneral_1.2.3+dfsg-1.debian.tar.gz
 cb8b09f4c90f40a01ae74ca8bc3396fc 623232 contrib/games optional lgeneral_1.2.3+dfsg-1_amd64.deb
 12c971fb03e35742bd9a07184a29f37d 432626 contrib/games optional lgc-pg_1.2.3+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ902/AAoJEHQmOzf1tfkTFPMQALphthBav/IlTg+q4L6xnbtk
9myQYg6MBgQnKLddMBTPloX6JcSDcFJjNvCsFtk1jb9PiHTXu+YGoINzTsnPjdiV
lQfv9sO3e6nnX5+p9F9dY7ZbZx7/RvVMY9AdInzgv3I3i9HnXVMcwk7ZOQqhxzxc
aNRZWHc9fVJx2KCIzoCWvTQomBcC5LQwEZAjTw88NAKSNunBSiES2TuqIWfrUIrN
fO/LBaxCT6NZ+f9IvXq89r9P5HhyNVwj1Jc79YXYujJbnUqdeScpDTM/vyyZ0zI4
VpSEP2d4ETFkBNx2K6N0HmuclJzh7LrXOCWVsBClUccF+Gw83LlNd7NnPSgNaccN
9O0WVzzJQPNnOh9WMKy9Rkfzd5NRTK15XS7vd5JtVnSATvRIfhw6arAanPRw8es4
s8TnRzKtmpx0pyR1HpnDUJwEiOlr6xTWktc+VKfHyz5QpDEwOdCXbS3A6Vcu6Aea
rdw3JMoRUb88ojF9Imarea+yrs/fVYuMm7To6V68j21NmYsj2IF0w/NfBhgQMMTw
PE4tbKp3abONMsc7y4UiFJtm0iNxbsNCHrIhzPXyNoNvzlLT2xcst2JoLJIW4fWM
5p2cW+qrqmRrGogk1fLY/5XudWS4en9btGoae5mB9sFpzGBNrrl6Z8nQtx9vjD+w
P9NiuE7C5fEUNN79oYvw
=FFhT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 08:01:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:42:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.